/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa;

public class DeploymentException extends Exception {
    private static final long serialVersionUID = 1L;

    /**
     * Constructor for the DeploymentException object
     */
    public DeploymentException() {
    }

    /**
     * Constructor for the DeploymentException object
     * 
     * @param message
     *        Error description
     */
    public DeploymentException(String message) {
        super(message);
    }

    /**
     * Constructor for the DeploymentException object
     * 
     * @param t
     *        Throwable object
     */
    public DeploymentException(Throwable t) {
        super(t);
    }

    /**
     * Constructor for the DeploymentException object
     * 
     * @param message
     *        Error description
     * @param t
     *        Throwable object
     */
    public DeploymentException(String message, Throwable t) {
        super(message, t);
    }
    
}
