/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.component.policy.rt;

import org.bluestemsoftware.specification.eoa.component.policy.Policy;
import org.bluestemsoftware.specification.eoa.component.rt.RootComponentRT.SingletonRT;
import org.bluestemsoftware.specification.eoa.ext.RootExtension;
import org.bluestemsoftware.specification.eoa.ext.policy.PolicyFactory;
import org.w3c.dom.Document;

/**
 * Contains a 'deployed' <code>PolicyExpression</code>, i.e. a referenceable expression
 * whose definition was read from a 'top-level' IDL description element.
 * <p>
 * Note that it is implementation's responsibility to switch thread context classloader as
 * required to/from {@link PolicyFactory} deployment classloader.
 */
public interface PolicyDocument extends RootExtension, SingletonRT<Policy>, Document {

    /*
     * (non-Javadoc)
     * 
     * SPI
     */
    public interface Provider extends RootExtension.Provider {
    }
    
    /**
     * Gets deployed expression.
     * 
     * @return
     */
    public PolicyExpression getPolicyExpression();

}
