/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext;

/**
 * Thrown by an instance of {@link ExecutableExtension} to indicate an error state when
 * suspending/resuming execution.
 */
public class ExecutableException extends ExtensionException {

    private static final long serialVersionUID = 1L;

    public ExecutableException() {
        super();
    }

    public ExecutableException(String message, Throwable t) {
        super(message, t);
    }

    public ExecutableException(String message) {
        super(message);
    }

    public ExecutableException(Throwable t) {
        super(t);
    }
    

}
